Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Lutris also doesnt start [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
adcdam
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jan 2015
Posts: 77

PostPosted: Tue May 08, 2018 12:53 am    Post subject: Lutris also doesnt start [solved] Reply with quote

i get this
Code:
Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.4/lutris", line 33, in <module>
    from lutris.gui.application import Application
  File "/usr/lib64/python3.4/site-packages/lutris/gui/application.py", line 26, in <module>
    gi.require_version('Gdk', '3.0')
  File "/usr/lib64/python3.4/site-packages/gi/__init__.py", line 102, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace Gdk not available



i dont know what to do both playonlinux and lutris doesnt start

from what i read
https://forums.lutris.net/t/error-starting-lutris-on-opensuse-tumbleweed/1003


but i dont know about those packages needed in gentoo
they mention this packages
typelib-1_0-Gtk-3_0 & python3-gobject-Gdk


Last edited by adcdam on Sun May 20, 2018 4:39 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20109
Location: here

PostPosted: Tue May 08, 2018 6:14 am    Post subject: Reply with quote

You can post output of
Code:
# emerge -pvq dev-python/pygobject:3
# emerge -pvq games-util/lutris
:?:
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
adcdam
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jan 2015
Posts: 77

PostPosted: Sun May 20, 2018 4:39 pm    Post subject: Reply with quote

lutris is working now.
Back to top
View user's profile Send private message
Section_8
Guru
Guru


Joined: 22 May 2004
Posts: 564
Location: Arlington, TX, US

PostPosted: Sat Jul 28, 2018 7:59 pm    Post subject: Reply with quote

I had this same problem with lutris. Emerging x11-libs/gtk+ with USE=introspection fixed it. Shouldn't this be a dependency in the ebuild?
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13025

PostPosted: Sat Jul 28, 2018 8:12 pm    Post subject: Reply with quote

If that is the solution, and not coincidence, then yes, the ebuild should force that. For completeness, if you rebuild with USE=-introspection, does that break the game again? This is necessary to rule out that the rebuild itself, independent of the flag change, was the solution.
Back to top
View user's profile Send private message
Section_8
Guru
Guru


Joined: 22 May 2004
Posts: 564
Location: Arlington, TX, US

PostPosted: Sat Jul 28, 2018 9:47 pm    Post subject: Reply with quote

Sorry I didn't provide enough specifics - I already had gtk+ installed with -introspection when I emerged lutris and got this error trying to start it. The first reply to this thread in the funtoo forums: https://forums.funtoo.org/topic/1631-some-problems-after-update-to-funtoo-12-and-gcc-731/ pointed me to this solution.

If i re-emerge gtk+ with -introspection, the error returns:
Code:
john@officepc ~ $ lutris
Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.6/lutris", line 33, in <module>
    from lutris.gui.application import Application
  File "/usr/lib64/python3.6/site-packages/lutris/gui/application.py", line 26, in <module>
    gi.require_version('Gdk', '3.0')
  File "/usr/lib64/python3.6/site-packages/gi/__init__.py", line 122, in require_version
    (namespace, version))
ValueError: Namespace Gdk not available for version 3.0
so it looks like that is a requirement for lutris.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13025

PostPosted: Sat Jul 28, 2018 11:16 pm    Post subject: Reply with quote

That seems fairly definitive. Please file a bug to the lutris maintainer to have the ebuild enforce this requirement.
Back to top
View user's profile Send private message
Section_8
Guru
Guru


Joined: 22 May 2004
Posts: 564
Location: Arlington, TX, US

PostPosted: Sun Jul 29, 2018 12:57 am    Post subject: Reply with quote

Thank you - bug is here https://bugs.gentoo.org/662374
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum